Package org.eclipse.birt.chart.model.attribute

# Enum DataPointComponentType

java.lang.Object
java.lang.Enum<DataPointComponentType>
org.eclipse.birt.chart.model.attribute.DataPointComponentType

All Implemented Interfaces:
  `Serializable`, `Comparable<DataPointComponentType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum DataPointComponentType extends Enum<DataPointComponentType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Data Point Component Type', and utility methods for working with them. This type defines the allowed values for data point components.

See Also:
  - `AttributePackage.getDataPointComponentType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASE_VALUE_LITERAL`
The 'Base Value' literal object.
`ORTHOGONAL_VALUE_LITERAL`
The 'Orthogonal Value' literal object.
`PERCENTILE_ORTHOGONAL_VALUE_LITERAL`
The 'Percentile Orthogonal Value' literal object.
`SERIES_VALUE_LITERAL`
The 'Series Value' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BASE_VALUE`
The 'Base Value' literal value.
`static final int`
`ORTHOGONAL_VALUE`
The 'Orthogonal Value' literal value.
`static final int`
`PERCENTILE_ORTHOGONAL_VALUE`
The 'Percentile Orthogonal Value' literal value.
`static final int`
`SERIES_VALUE`
The 'Series Value' literal value.
`static final List<DataPointComponentType>`
`VALUES`
A public read-only list of all the ' Data Point Component Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static DataPointComponentType`
`get(int value)`
Returns the 'Data Point Component Type' literal with the specified integer value.
`static DataPointComponentType`
`get(String literal)`
Returns the 'Data Point Component Type' literal with the specified literal value.
`static DataPointComponentType`
`getByName(String name)`
Returns the 'Data Point Component Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static DataPointComponentType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DataPointComponentType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BASE_VALUE_LITERAL

public static final DataPointComponentType BASE_VALUE_LITERAL
The 'Base Value' literal object.

If the meaning of 'Base Value' literal object isn't clear, there really should be more of a description here...

See Also:
  - `BASE_VALUE`

### ORTHOGONAL_VALUE_LITERAL

public static final DataPointComponentType ORTHOGONAL_VALUE_LITERAL
The 'Orthogonal Value' literal object.

If the meaning of 'Orthogonal Value' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ORTHOGONAL_VALUE`

### SERIES_VALUE_LITERAL

public static final DataPointComponentType SERIES_VALUE_LITERAL
The 'Series Value' literal object.

If the meaning of 'Series Value' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SERIES_VALUE`

### PERCENTILE_ORTHOGONAL_VALUE_LITERAL

public static final DataPointComponentType PERCENTILE_ORTHOGONAL_VALUE_LITERAL
The 'Percentile Orthogonal Value' literal object.

See Also:
  - `PERCENTILE_ORTHOGONAL_VALUE`

## Field Details

### BASE_VALUE

public static final int BASE_VALUE
The 'Base Value' literal value.

See Also:
  - `BASE_VALUE_LITERAL`
  - Constant Field Values

### ORTHOGONAL_VALUE

public static final int ORTHOGONAL_VALUE
The 'Orthogonal Value' literal value.

See Also:
  - `ORTHOGONAL_VALUE_LITERAL`
  - Constant Field Values

### SERIES_VALUE

public static final int SERIES_VALUE
The 'Series Value' literal value.

See Also:
  - `SERIES_VALUE_LITERAL`
  - Constant Field Values

### PERCENTILE_ORTHOGONAL_VALUE

public static final int PERCENTILE_ORTHOGONAL_VALUE
The 'Percentile Orthogonal Value' literal value.

If the meaning of 'Percentile Orthogonal Value' literal object isn't clear, there really should be more of a description here...

See Also:
  - `PERCENTILE_ORTHOGONAL_VALUE_LITERAL`
  - Constant Field Values

### VALUES

public static final List<DataPointComponentType> VALUES
A public read-only list of all the ' Data Point Component Type' enumerators.

## Method Details

### values

public static DataPointComponentType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DataPointComponentType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static DataPointComponentType get(String literal)
Returns the 'Data Point Component Type' literal with the specified literal value.

### getByName

public static DataPointComponentType getByName(String name)
Returns the 'Data Point Component Type' literal with the specified name.

### get

public static DataPointComponentType get(int value)
Returns the 'Data Point Component Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<DataPointComponentType>`